export declare const ALLOCATIONS_TABLE_NAME_ENV = "CDK_ATMOSPHERE_ALLOCATIONS_TABLE_NAME";
export declare const ENVIRONMENTS_TABLE_NAME_ENV = "CDK_ATMOSPHERE_ENVIRONMENTS_TABLE_NAME";
export declare const CONFIGURATION_BUCKET_ENV = "CDK_ATMOSPHERE_CONFIGURATION_FILE_BUCKET";
export declare const CONFIGURATION_KEY_ENV = "CDK_ATMOSPHERE_CONFIGURATION_FILE_KEY";
export declare const ALLOCATION_TIMEOUT_DLQ_ARN_ENV = "CDK_ATMOSPHERE_ALLOCATION_TIMEOUT_DLQ_ARN";
export declare const CLEANUP_TIMEOUT_DLQ_ARN_ENV = "CDK_ATMOSPHERE_CLEANUP_TIMEOUT_DLQ_ARN";
export declare const SCHEDULER_ROLE_ARN_ENV = "CDK_ATMOSPHERE_SCHEDULER_ROLE_ARN";
export declare const CLEANUP_TIMEOUT_FUNCTION_ARN_ENV = "CDK_ATMOSPHERE_CLEANUP_TIMEOUT_FUNCTION_ARN";
export declare const ALLOCATION_TIMEOUT_FUNCTION_ARN_ENV = "CDK_ATMOSPHERE_ALLOCATION_TIMEOUT_FUNCTION_ARN";
export declare const REST_API_ID_ENV = "CDK_ATMOSPHERE_REST_API_ID";
export declare const ALLOCATIONS_RESOURCE_ID_ENV = "CDK_ATMOSPHERE_ALLOCATIONS_RESOURCE_ID";
export declare const ALLOCATION_RESOURCE_ID_ENV = "CDK_ATMOSPHERE_ALLOCATION_RESOURCE_ID";
export declare const DEALLOCATE_FUNCTION_NAME_ENV = "CDK_ATMOSPHERE_DEALLOCATE_FUNCTION_NAME";
export declare const CLEANUP_CLUSTER_ARN_ENV = "CDK_ATMOSPHERE_CLEANUP_CLUSTER_ARN";
export declare const CLEANUP_TASK_DEFINITION_ARN_ENV = "CDK_ATMOSPHERE_CLEANUP_TASK_DEFINITION_ARN";
export declare const CLEANUP_TASK_SUBNET_ID_ENV = "CDK_ATMOSPHERE_CLEANUP_TASK_SUBNET_ID";
export declare const CLEANUP_TASK_SECURITY_GROUP_ID_ENV = "CDK_ATMOSPHERE_CLEANUP_TASK_SECURITY_GROUP_ID";
export declare const CLEANUP_TASK_CONTAINER_NAME_ENV = "CDK_ATMOSPHERE_CLEANUP_TASK_CONTAINER_NAME";
export declare const CLEANUP_TASK_ALLOCATION_ID = "CDK_ATMOSPHERE_RUNTIME_CLEANUP_TASK_ALLOCATION_ID";
export declare const CLEANUP_TASK_TIMEOUT_SECONDS = "CDK_ATMOSPHERE_RUNTIME_CLEANUP_TASK_TIMEOUT_SECONDS";
export type EnvironmentVariables = {
    [ALLOCATIONS_TABLE_NAME_ENV]: string;
    [ENVIRONMENTS_TABLE_NAME_ENV]: string;
    [CONFIGURATION_BUCKET_ENV]: string;
    [CONFIGURATION_KEY_ENV]: string;
    [ALLOCATION_TIMEOUT_DLQ_ARN_ENV]: string;
    [CLEANUP_TIMEOUT_DLQ_ARN_ENV]: string;
    [SCHEDULER_ROLE_ARN_ENV]: string;
    [CLEANUP_TIMEOUT_FUNCTION_ARN_ENV]: string;
    [ALLOCATION_TIMEOUT_FUNCTION_ARN_ENV]: string;
    [REST_API_ID_ENV]: string;
    [ALLOCATIONS_RESOURCE_ID_ENV]: string;
    [ALLOCATION_RESOURCE_ID_ENV]: string;
    [DEALLOCATE_FUNCTION_NAME_ENV]: string;
    [CLEANUP_CLUSTER_ARN_ENV]: string;
    [CLEANUP_TASK_DEFINITION_ARN_ENV]: string;
    [CLEANUP_TASK_SUBNET_ID_ENV]: string;
    [CLEANUP_TASK_SECURITY_GROUP_ID_ENV]: string;
    [CLEANUP_TASK_CONTAINER_NAME_ENV]: string;
};
export declare class Envars {
    static required(name: keyof EnvironmentVariables): string;
    static optional(name: keyof EnvironmentVariables): string | undefined;
}
